/*
    Ninja Sample

    COPYRIGHT (C) SEGA ENTERSRISES,LTD.

    Print Sample for SET5

    1998. 7.28
    1998.11.02 modified by kashima@metrowerks.com for CW b1
    1999.01.21 modified by kashima@metrowerks.com for CW b1.5
*/

#include <shinobi.h>
#include "mw_run.h"
#include "cpp_test.h"

void njUserInit(void)
{
    njSetBorderColor( 0x00000000 ) ;
    sbInitSystem(NJD_RESOLUTION_320x240_NTSCNI, NJD_FRAMEBUFFER_MODE_RGB565, 1);

    njInitVertexBuffer(100000, 0, 100000, 0, 0);
    njInitPrint(NULL, 0, 0);
    njSetBackColor(0x00000000, 0x00000000, 0x000000FF);

#ifdef __MWERKS__
	mwInit();
	__start();
#endif /* __MWERKS__ */
}

/*
Sint32 i = 0;
*/

Sint32 njUserMain(void)
{
	cplusTest();

    return NJD_USER_CONTINUE;
}

void njUserExit(void)
{
#ifdef __MWERKS__
	mwExit();
#endif /* __MWERKS__ */
	
    njExitPrint();
    sbExitSystem();
}

